{if not $xplugin_netzdingeDE_liefertagzeit_excludeDays_exists}
    <div class="alert alert-danger">Erst die Datenbanktabelle "xplugin_netzdingeDE_liefertagzeit_excludeDays" anlegen!</div>
{else}
    <h2>auszuschlie&szlig;enden Liefertag anlegen</h2>
    {*$smarty.session.fields_arr|@var_dump*}
    <table class="table table-sm table-light">
        <thead class="thead-dark">
            <tr>
                <th scope="col" class="text-left">Tag</th>
                <th scope="col" class="text-left">Monat</th>
                <th scope="col" class="text-left">Lieferstatus <i class="fa fa-power-off" title="Geben Sie an, ob dieser Tag ein Liefertag sein kann oder nicht.." ></i></th>
                <th scope="col" class="text-left">Grund</th>
                <th scope="col" class="text-left"><i class="fa fa-power-off"></i> Aktiv?</th></th></th>
                <th scope="col"></th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td style="width:40px; text-align: right;">
                    <form id="formExcludeDaysNew" action="/admin/plugin.php?kPlugin={$kPlugin}&cPluginTab=Liefertage ausschließen" method="post">
                        <input name="ndAction" type="hidden" value="insertExcludeDay">
                    </form>
                    <select name="nDay" form="formExcludeDaysNew" class="form-control" style="width: 100px;">
                    {for $day=1 to 31}
                        <option value="{$day}"{if $smarty.session.fields_arr.nDay == $day} selected="selected"{/if}>{$day}</option>
                    {/for}
                    </select>
                </td>
                <td style="width:40px; text-align: right;">
                    <select name="nMonth" form="formExcludeDaysNew" class="form-control" style="width: 100px;">
                    {for $month=1 to 12}
                        <option value="{$month}"{if $smarty.session.fields_arr.nMonth == $month} selected="selected"{/if}>{$month}</option>
                    {/for}
                    </select>
                </td>
                <td style="width:150px; text-align: right;">
                    <select name="cStatus" form="formExcludeDaysNew" class="form-control combo">
                        <option value="false" selected="selected">nicht lieferbar (Ampel rot)</option>
                        <option value="true">lieferbar (Ampel gelb)</option>
                    </select>
                </td>
                <td><input name="cTitle" form="formExcludeDaysNew" type="text" value="{if $smarty.session.fields_arr.cTitle}{$smarty.session.fields_arr.cTitle}{/if}" class="form-control"></td>
                <td><input name="bAktiv" form="formExcludeDaysNew" type="checkbox" value="1" class="form-check-input"  style="margin: 0 10px;"{if $smarty.session.fields_arr.bAktiv == 1} checked="checked"{/if}/></td>
                <td>
                    <button type="submit" form="formExcludeDaysNew" class="btn btn-success"><i class="fa fa-plus" aria-hidden="true"></i></button>
                    <span style="width:40px;display: inline-block;"></span>
                </td>
            </tr>
        </tbody>
    </table>
    {*$xplugin_netzdingeDE_liefertagzeit_excludeDays|@var_dump*}
    {if $xplugin_netzdingeDE_liefertagzeit_excludeDays_exists}      
        <h2>vorhandene auszuschlie&szlig;ende Liefertage</h2>
        <table class="table table-sm table-light">
            <thead class="thead-dark">
                <tr>
                <th scope="col" class="text-left">Tag</th>
                <th scope="col" class="text-left">Monat</th>
                <th scope="col" class="text-left">Lieferstatus <i class="fa fa-power-off" title="Geben Sie an, ob dieser Tag ein Liefertag sein kann oder nicht.." ></i></th>
                <th scope="col" class="text-left">Grund</th>
                <th scope="col" class="text-left"><i class="fa fa-power-off"></i> Aktiv?</th></th></th>
                <th scope="col"></th>
            </tr>
            </thead>
            <tbody>
        {foreach name=excludetage from=$xplugin_netzdingeDE_liefertagzeit_excludeDays item=excludetag}
                    <tr>
                        <td style="width:40px; text-align: right;">
                            <form id="formExcludeDays{$smarty.foreach.excludetage.iteration}" action="/admin/plugin.php?kPlugin={$kPlugin}&cPluginTab=Liefertage ausschließen" method="post">
                                <input name="ndAction" type="hidden" value="updateExcludeDay">
                                <input name="kExcludeDay" type="hidden" value="{$excludetag->kExcludeDay}">
                            </form>
                            <select name="nDay" form="formExcludeDays{$smarty.foreach.excludetage.iteration}" class="form-control" style="width: 100px;">
                            {for $day=1 to 31}
                                <option value="{$day}"{if $excludetag->nDay == $day} selected="selected"{/if}>{$day}</option>
                            {/for}
                            </select>
                        </td>
                        <td style="width:40px; text-align: right;">
                            <select name="nMonth" form="formExcludeDays{$smarty.foreach.excludetage.iteration}" class="form-control" style="width: 100px;">
                            {for $month=1 to 12}
                                <option value="{$month}"{if $excludetag->nMonth == $month} selected="selected"{/if}>{$month}</option>
                            {/for}
                            </select>
                        </td>
                        <td style="width:150px; text-align: right;">
                            <select name="cStatus" form="formExcludeDays{$smarty.foreach.excludetage.iteration}"  class="form-control combo">
                                <option value="false"{if $excludetag->cStatus == 'false'} selected="selected"{/if}>nicht lieferbar (Ampel rot)</option>
                                <option value="true"{if $excludetag->cStatus == 'true'} selected="selected"{/if}>lieferbar (Ampel gelb)</option>
                            </select>
                        </td>
                        <td><input name="cTitle" form="formExcludeDays{$smarty.foreach.excludetage.iteration}" type="text" value="{$excludetag->cTitle}" class="form-control"></td>
                        <td><input name="bAktiv" form="formExcludeDays{$smarty.foreach.excludetage.iteration}" type="checkbox" value="1" class="form-check-input" style="margin: 0 10px;"{if $excludetag->bAktiv == 1} checked="checked"{/if}/></td>
                        <td>
                            <button type="submit" form="formExcludeDays{$smarty.foreach.excludetage.iteration}" class="btn btn-success"><i class="fa fa-floppy-o" aria-hidden="true"></i></button>
                            <a href="/admin/plugin.php?kPlugin={$kPlugin}&ndAction=deleteExcludeDay&kExcludeDay={$excludetag->kExcludeDay}&cPluginTab=Liefertage ausschließen" onclick="return window.confirm('Wirklich l&ouml;schen?');">
                                <button type="button" class="btn btn-danger"><i class="fa fa-trash" aria-hidden="true"></i></button>
                            </a>
                        </td>
                    </tr>
        {/foreach}
            </tbody>
        </table>
    {/if}
{/if}